

$(document).ready(function(){		    
			 	 	            	 		
});

function alertOk_reCalculoPago(){
	swal("Actualizaci\u00F3n Correcta!", "C\u00E1lculo de Pago realizado correctamente, pulsa OK para continuar...", "success");
}

function alertOk(){
	swal("Actualizaci\u00F3n Correcta!", "IdBv fueron actualizados, pulsa OK para continuar...", "success");
	$("#modalAsociacionDeTitulos").modal("hide");
}

function alertWarn(){
	
	swal({
		title: "Existen Id BroadView que no pertenecen a ningun t\u00EDtulo en contrato!!...",
		text: "estos registros seguiran disponibles para asignar Id BroadView.",
		timer: 5000,
		type: "warning"
	});
	$("#modalAsociacionDeTitulos").modal("hide");
}

function alertError(){	 
	swal("No se puede asignar el mismo Id BroadView a mas de un t\u00EDtulo!!!", "No se ejecuto ninguna actualizaci\u00F3n...", "error");
}

function alertError_reCalculoPago(){	 
	swal("ERROR ", "No se ejecuto el C\u00E1lculo de Pago...", "error");
}

function showHideTablasErrores(){
	
  var idSelect = document.getElementById("tipoError").value;
	
	if(idSelect == 1){
		$('#tablaPadre-SinIdBroadView').show();
		$('#tablaPadre-titulosFueradePeriodo').hide();
		$('#tablaPadre-tituloyFilialNoExisten').hide();
		$('#tablaPadre-idBroadViewNoExiste').hide();
		$('#BtnAsocTitGuardar').attr("disabled", false);
	}
	if(idSelect == 2){
		$('#tablaPadre-SinIdBroadView').hide();
		$('#tablaPadre-titulosFueradePeriodo').hide();
		$('#tablaPadre-tituloyFilialNoExisten').hide();
		$('#tablaPadre-idBroadViewNoExiste').show();
		$('#BtnAsocTitGuardar').attr("disabled", true);
	}
	if(idSelect == 3){
		$('#tablaPadre-SinIdBroadView').hide();
		$('#tablaPadre-titulosFueradePeriodo').hide();
		$('#tablaPadre-tituloyFilialNoExisten').show();
		$('#tablaPadre-idBroadViewNoExiste').hide();
		$('#BtnAsocTitGuardar').attr("disabled", true);
	}
	if(idSelect == 4){
		$('#tablaPadre-SinIdBroadView').hide();
		$('#tablaPadre-titulosFueradePeriodo').show();
		$('#tablaPadre-tituloyFilialNoExisten').hide();
		$('#tablaPadre-idBroadViewNoExiste').hide();
		$('#BtnAsocTitGuardar').attr("disabled", true);
	} 
    
   	
}
